TDV Adapter for QuickBooks POS

Build 21.0.8137

QBPOSXMLVersion

The version of QBPOSXML used in the outgoing message.

Possible Values

1.0, 1.1, 1.2, 2.0, 2.5, 3.0

Data Type

string

Default Value

"3.0"

Remarks

Except as noted in the documentation, a value of 1.0 will suffice for all requests and for all versions of QuickBooks POS that support integrated applications.

Each release of QuickBooks POS continues to support all earlier versions of the SDK, meaning that requests using version 1.0 of the QuickBooks POS SDK are supported by all versions of QuickBooks POS. However, new requests and fields are supported only in later versions of the SDK. As such, it is recommended that you set the QBPOSXMLVersion property to correspond to the version of QuickBooks POS you are interacting with. These values are:

QuickBooks POS 1.0 - 4.01.0
QuickBooks POS 5.01.2, 1.1, 1.0
QuickBooks POS 6.02.5, 2.0
QuickBooks POS 7.0 and greater3.0

Copyright (c) 2022 CData Software, Inc. - All rights reserved.
Build 21.0.8137